package com.bonus.canteen.core.pay.common.vo;

public class PayChannelSplitVO {
   private Integer payType;
   private Integer payChannel;

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public PayChannelSplitVO() {
   }

   private PayChannelSplitVO(final Integer payType, final Integer payChannel) {
      this.payType = payType;
      this.payChannel = payChannel;
   }

   public static PayChannelSplitVO of(final Integer payType, final Integer payChannel) {
      return new PayChannelSplitVO(payType, payChannel);
   }
}
